/*
 * A page owner abstraction, indicating the current user of a memory region.
 *
 * Copyright (C) 2021 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#pragma once

#include "flexpage.h"



/* The owner of a flexpage. */

class PageOwner
{
public:
    virtual ~PageOwner()
    {
    }

    virtual void fill(Flexpage *flexpage)
    {
        (void) flexpage;
    }

    virtual void flush(Flexpage *flexpage, bool purge)
    {
        (void) flexpage; (void) purge;
    }

    virtual void remove(Flexpage *flexpage)
    {
        (void) flexpage;
    }
};

// vim: tabstop=4 expandtab shiftwidth=4
